Delete traffic policy

Prev Next

Available in Classic and VPC

Delete a specified traffic policy.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
DELETE /gtm/v1/policies/{policyId}

Request headers

For information about the headers common to all Traffic Policy APIs, see Traffic Policy API request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
policyId Integer Required Policy ID

Request example

The following is a sample request.

curl --location --request DELETE 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/policies/****' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response status codes

For information about the HTTP status codes common to all Traffic Policy APIs, see Traffic Policy API response status codes.

Response example

The following is a sample response.

"SUCCESS"

Error code example

The following is a sample error code.

{
  "result": "FAIL",
  "error": {
    "errorCode": "05X000",
    "message": "You don't have permissions for the policy or the policy doesn't exist.",
    "moreInfo": {
      "timestamp": "2022-11-16T17:01:37.635+09:00"
    }
  }
}